Bug 451337 - "Cross-channel adjustment curves" not available on Shortcuts settings
Summary: "Cross-channel adjustment curves" not available on Shortcuts settings
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Shortcuts and Canvas Input Settings (show other bugs)
Version: 5.0.2
Platform: Appimage Linux
: NOR minor
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-09 20:21 UTC by Boris Gonzalez
Modified: 2022-03-10 08:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot krita shortcut settings (134.61 KB, image/png)
2022-03-09 20:21 UTC, Boris Gonzalez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Gonzalez 2022-03-09 20:21:16 UTC
Created attachment 147411 [details]
screenshot krita shortcut settings

Filter "Cross-channel adjustment curves" does not appear on the list of actions in the shortcut section of krita settings, due to that is not possible to assign a short cut to it.

Not to be confused with "Color adjustments curves"  ⚠️

"Cross-channel adjustment curves" can be found in:
Filters -> Adjust -> Cross-channel adjustment curves


STEPS TO REPRODUCE
1. Settings -> Configure Krita -> Shortcuts
2. Search or try to find "Cross-channel adjustment curves"

OBSERVED RESULT
"Cross-channel color adjustment" does not appear in the list as an action that a hotkey can be assigned

EXPECTED RESULT
is possible to assign a shortcut to "Cross-channel adjustment curves" 

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Fedora 36
KDE Plasma Version: 5.24.2
KDE Frameworks Version: 5.91.0
Qt Version:  5.15.2

ADDITIONAL INFORMATION

none
Comment 1 Halla Rempt 2022-03-10 08:43:25 UTC
Git commit fa949bbef0bf5c01a5c542be91448e9baa0c8059 by Halla Rempt, on behalf of Reinold Rojas.
Committed on 10/03/2022 at 08:43.
Pushed by rempt into branch 'krita/5.0'.

Add missing filter shortcuts

Add the following missing filter shortcuts:
slope,offset,power
cross-channel adjustment curves
halftone
gaussian high pass
height to normal map
gradient map
normalize
palettize

(cherry picked from commit b6eff30c285a8c4320e9d6feb85d0cf57ad1900c)

M  +3    -0    plugins/filters/asccdl/CMakeLists.txt
A  +18   -0    plugins/filters/asccdl/asccdl.action
M  +3    -0    plugins/filters/colorsfilters/CMakeLists.txt
A  +18   -0    plugins/filters/colorsfilters/colorsfilters.action
M  +3    -0    plugins/filters/convertheightnormalmap/CMakeLists.txt
A  +18   -0    plugins/filters/convertheightnormalmap/convertheightnormalmap.action
M  +3    -0    plugins/filters/gaussianhighpass/CMakeLists.txt
A  +18   -0    plugins/filters/gaussianhighpass/gaussianhighpass.action
M  +3    -0    plugins/filters/gradientmap/CMakeLists.txt
A  +18   -0    plugins/filters/gradientmap/gradientmap.action
M  +3    -1    plugins/filters/halftone/CMakeLists.txt
A  +18   -0    plugins/filters/halftone/halftone.action
M  +3    -0    plugins/filters/normalize/CMakeLists.txt
A  +18   -0    plugins/filters/normalize/normalize.action
M  +3    -0    plugins/filters/palettize/CMakeLists.txt
A  +18   -0    plugins/filters/palettize/palettize.action

https://invent.kde.org/graphics/krita/commit/fa949bbef0bf5c01a5c542be91448e9baa0c8059